%global __requires_exclude ^libdeviceclient\\.so.*
%global __provides_exclude_from %{_libdir}/pragha/plugins/.*\\.so

Summary:	Lightweight GTK+ music manager
Name:		pragha
Version:	1.3.4
Release:	%mkrel 1
Group:		Sound
License:	GPLv3+
URL:		http://pragha-music-player.github.io/
Source0:	https://github.com/pragha-music-player/pragha/releases/download/v%{version}/pragha-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-audio-1.0)
BuildRequires:	pkgconfig(gstreamer-base-1.0)
BuildRequires:	pkgconfig(grilo-0.3)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(keybinder-3.0)
BuildRequires:	pkgconfig(libcddb)
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	pkgconfig(libcdio_paranoia)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libpeas-gtk-1.0)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libmtp)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(taglib_c)
BuildRequires:	pkgconfig(totem-plparser)

Requires:	gstreamer1.0-plugins-base
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-plugins-bad
Requires:	gstreamer1.0-plugins-ugly
Requires:	totem-pl-parser

%description
Pragha is a Lightweight Music Player based on Gtk, sqlite, and completely
written in C, constructed to be fast, light, and simultaneously tries to
be complete without obstructing the daily work.

%prep
%setup -q

#found new grilo & rygel
sed -i	-e 's,grilo-0.2,grilo-0.3,g' \
	-e 's,rygel-server-2.2,rygel-server-2.6,g' \
		configure.ac

#fix pluging build flags
sed -i -e 's,^#\(libdeviceclient_la_LDFLAGS.*\),\1,' \
	plugins/devices/Makefile.am

#port to grilo 0.3
sed -i	-e 's,grl_operation_options_set_flags,grl_operation_options_set_resolution_flags,g' \
	-e 's,GRL_IS_MEDIA_AUDIO,grl_media_is_audio,g' \
	-e 's,GRL_IS_MEDIA_BOX,grl_media_is_container,g' \
	-e 's,grl_registry_load_plugin_by_id,grl_registry_activate_plugin_by_id,g' \
	-e 's,grl-upnp,grl-dleyna,g' \
	plugins/dlna-renderer/pragha-dlna-renderer-plugin.c

%build
./autogen.sh
%configure2_5x --disable-rygel-server-2.6

%make_build

%install
%make_install

%find_lang %{name}

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc ChangeLog FAQ NEWS README
%{_bindir}/pragha
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/pixmaps/%{name}/
%{_mandir}/man1/pragha.1.*

%{_includedir}/pragha/plugins/pragha-plugin-macros.h

%dir %{_libdir}/pragha/
%dir %{_libdir}/pragha/plugins/

%dir %{_libdir}/pragha/plugins/acoustid/
%{_libdir}/pragha/plugins/acoustid/acoustid.plugin
%{_libdir}/pragha/plugins/acoustid/libacoustid.so

%dir %{_libdir}/pragha/plugins/cdrom/
%{_libdir}/pragha/plugins/cdrom/cdrom.plugin
%{_libdir}/pragha/plugins/cdrom/libcdrom.so

%dir %{_libdir}/pragha/plugins/devices/
%{_libdir}/pragha/plugins/devices/devices.plugin
%{_libdir}/pragha/plugins/devices/libdeviceclient.so
%{_libdir}/pragha/plugins/devices/libdevices.so

%dir %{_libdir}/pragha/plugins/dlna-renderer/
%{_libdir}/pragha/plugins/dlna-renderer/dlna-renderer.plugin
%{_libdir}/pragha/plugins/dlna-renderer/libpdlnarenderer.so

%dir %{_libdir}/pragha/plugins/gnome-media-keys/
%{_libdir}/pragha/plugins/gnome-media-keys/gnome-media-keys.plugin
%{_libdir}/pragha/plugins/gnome-media-keys/libgnome-media-keys.so

%dir %{_libdir}/pragha/plugins/keybinder/
%{_libdir}/pragha/plugins/keybinder/keybinder.plugin
%{_libdir}/pragha/plugins/keybinder/libkeybinder.so

%dir %{_libdir}/pragha/plugins/mpris2/
%{_libdir}/pragha/plugins/mpris2/libmpris2.so
%{_libdir}/pragha/plugins/mpris2/mpris2.plugin

%dir %{_libdir}/pragha/plugins/mtp/
%{_libdir}/pragha/plugins/mtp/libpmtp.so
%{_libdir}/pragha/plugins/mtp/mtp.plugin

%dir %{_libdir}/pragha/plugins/notify/
%{_libdir}/pragha/plugins/notify/libnotify.so
%{_libdir}/pragha/plugins/notify/notify.plugin

%dir %{_libdir}/pragha/plugins/removable/
%{_libdir}/pragha/plugins/removable/libremovable.so
%{_libdir}/pragha/plugins/removable/removable.plugin

%dir %{_libdir}/pragha/plugins/tunein/
%{_libdir}/pragha/plugins/tunein/libtunein.so
%{_libdir}/pragha/plugins/tunein/tunein.plugin


%changelog
* Sat Mar 09 2019 tex 1.3.4-1pclos2019
- ugh update this program nobody uses
